%define srcname xorg-server-1.1.99.1

%define _libexecdir /usr/libexec
%define _modulesdir %_libdir/X11/modules
%define _fontsdir %_datadir/fonts
%define _deffontdir %_fontsdir/bitmap/misc/

%define _mesasrcdir %_builddir/%srcname/Mesa

Name: xgl
Version: 0.0.1
Release: alt2
License: MIT/X11
Summary: Xserver that uses OpenGL for its drawing operations
Group: System/X11
Url: http://www.freedesktop.org/Software/Xgl
Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %srcname.tar.bz2
Source1: Mesa-CVS-20060512.tar.bz2

Source10: xgl-0.0.1-SuSE-sysconfig.displaymanager.template

Patch0: xgl-0.0.1-SuSE-Xserver-suse-sysconfig.diff
Patch1: xgl-0.0.1-SuSE-xgl-security-file-dir.diff
Patch3: xgl-0.0.1-SuSE-xgl-maprules-tolower-fix.diff
Patch4: xgl-0.0.1-SuSE-178214.diff
Patch5: xgl-0.0.1-SuSE-178234-2.diff
Patch6: xgl-0.0.1-SuSE-xgl-java-wmhack.diff
Patch7: xgl-0.0.1-SuSE-xgl-overflow-fix.diff
Patch8: xgl-0.0.1-SuSE-xgl-yuy2.diff
Patch9: xgl-0.0.1-SuSE-xgl-xkb.diff
Patch10: xgl-0.0.1-SuSE-typos.diff

Patch100: xgl-0.0.1-alt-parser.patch
Patch101: xgl-0.0.1-alt-link.patch

PreReq: xorg-x11-server

BuildRequires: flex libfreetype-devel libICE-devel libSM-devel libX11-devel libXau-devel libXaw-devel
BuildRequires: libXTrap-devel libXdmcp-devel libXext-devel libXfixes-devel libXfont-devel libXfontcache-devel
BuildRequires: libXi-devel libXmu-devel libXpm-devel libXrandr-devel libXrender-devel libXres-devel
BuildRequires: libXt-devel libXtst-devel libXxf86misc-devel libXxf86vm-devel libdmx-devel libglitz-devel
BuildRequires: libdrm-devel libfontenc-devel libmesa-devel libncurses-devel libtinfo-devel
BuildRequires: libxkbfile-devel libxkbui-devel pkg-config xorg-x11-proto-devel xorg-x11-xtrans-devel
BuildRequires: zlib-devel mkfontdir mkfontscale xorg-x11-util-macros libxorgconfig-devel

%description
Xgl is an Xserver that uses OpenGL for its drawing operations. Some
operations like antialiased font rendering is noticably faster with
this technology, and future graphics hardware might only have support
for 3D operations and no 2D core any more.

%set_verify_elf_method unresolved=relaxed

%prep
%setup -n %srcname -q -a1

%patch0 -p0
%patch1 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0

%patch100 -p0
%patch101 -p1

%build
%define _optlevel 3
%__autoreconf
%configure \
	--with-os-name=Linux \
	--with-os-vendor="ALT Linux" \
	--with-builder-addr="%packager" \
	--with-vendor-web=https://bugzilla.altlinux.org/ \
	--with-release-date="%(date +%d\ %B\ %Y)" \
	--with-module-dir=%_modulesdir \
	--with-dri-driver-path=%_modulesdir/dri \
	--with-mesa-source=%_mesasrcdir \
	--with-log-dir=%_logdir \
	--with-xkb-path=%_datadir/X11/xkb \
	--with-xkb-output=%_localstatedir/xkb \
	--with-rgb-path=%_datadir/X11/rgb \
	--with-default-font-path=%_deffontdir \
	--with-fontdir=%_datadir/X11/fonts \
	--enable-glx-tls \
	--enable-xgl \
	--enable-xglx \
	--disable-ipv6 \
	--disable-xorg \
	--disable-xprint \
	--disable-dmx \
	--disable-xvfb \
	--disable-xnest \
	--disable-aiglx \
	--disable-static
%make_build

%install
%make DESTDIR=%buildroot install

find %buildroot%_modulesdir -type f -name \*.la -delete
%__install -Dp -m644 %SOURCE10 %buildroot%_sysconfdir/sysconfig/displaymanager

%files
%_sysconfdir/sysconfig/displaymanager
%attr(4710,root,xgrp) %_bindir/Xgl
%_modulesdir/xgl

%changelog
* Wed Dec 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.1-alt2
- fixed xgl-0.0.1-SuSE-xgl-xkb.diff

* Tue Dec 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.1-alt1
- added suid for %_bindir/Xgl

* Tue Dec 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 0.0.1-alt0.1
- initial release
